Bug 160664 - cable link state ignored on ethernet card (b44).
cable link state ignored on ethernet card (b44).
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: John W. Linville
Brian Brock
:
Depends On:
Blocks: 156320
  Show dependency treegraph
 
Reported: 2005-06-16 10:15 EDT by John W. Linville
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHSA-2005-663
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-28 11:23:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
jwltest-b44-link-check.patch (377 bytes, patch)
2005-06-16 10:30 EDT, John W. Linville
no flags Details | Diff

  None (edit)
Description John W. Linville 2005-06-16 10:15:34 EDT
+++ This bug was initially created as a clone of Bug #151777 +++

Description of problem:

I've just moved from a Compaq Armada to a Dell Latitude and one of the
first things I noticed was that during boot-up the network card in the
Dell seems to think it's 'plugged-in' even when there is no cable there.

For example, when the compaq booted, it would note that there was no
cable connected and just move on (instead of stalling while trying to
start a netword card that wasn't connected).  The Dell, however, stalls
for a while, trying to establish the impossible (a wired connection
without a cable).

Is this a bug, and if so, should it be reported?  The wired connection
(when I've used it) seems to work well, although I haven't given it
anything stressful to really test it.


Version-Release number of selected component (if applicable):

kernel-2.6.11-1.1191_FC4


Additional info:

This is the output from mii-tool and ethtool:

[root@localhost ~]# mii-tool eth0
  No MII transceiver present!.
[root@localhost ~]# ethtool eth0
Settings for eth0:
Cannot get device settings: Resource temporarily unavailable
        Current message level: 0x000000ff (255)
        Link detected: yes
[root@localhost ~]#



Dan Williams asked for the output from lspci and lsmod:

[root@goose ~]# lspci
00:00.0 Host bridge: Intel Corporation 82855PM Processor to I/O Controller (rev 03)
00:01.0 PCI bridge: Intel Corporation 82855PM Processor to AGP Controller (rev 03)
00:1d.0 USB Controller: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M)
USB UHCI Controller #1 (rev 01)
00:1d.1 USB Controller: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M)
USB UHCI Controller #2 (rev 01)
00:1d.2 USB Controller: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M)
USB UHCI Controller #3 (rev 01)
00:1d.7 USB Controller: Intel Corporation 82801DB/DBM (ICH4/ICH4-M) USB2 EHCI
Controller (rev 01)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev 81)
00:1f.0 ISA bridge: Intel Corporation 82801DBM (ICH4-M) LPC Interface Bridge
(rev 01)
00:1f.1 IDE interface: Intel Corporation 82801DBM (ICH4-M) IDE Controller (rev 01)
00:1f.5 Multimedia audio controller: Intel Corporation 82801DB/DBL/DBM
(ICH4/ICH4-L/ICH4-M) AC'97 Audio Controller (rev 01)
00:1f.6 Modem: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) AC'97
Modem Controller (rev 01)
01:00.0 VGA compatible controller: ATI Technologies Inc RV350 [Mobility Radeon
9600 M10]
02:00.0 Ethernet controller: Broadcom Corporation BCM4401 100Base-T (rev 01)
02:01.0 CardBus bridge: Texas Instruments PCI4510 PC card Cardbus Controller
(rev 02)
02:01.1 FireWire (IEEE 1394): Texas Instruments PCI4510 IEEE-1394 Controller
02:03.0 Network controller: Intel Corporation PRO/Wireless 2915ABG MiniPCI
Adapter (rev 05)

[root@goose ~]# lsmod
Module                  Size  Used by
loop                   16969  0
parport_pc             28933  0
lp                     12617  0
parport                40713  2 parport_pc,lp
autofs4                26949  0
sunrpc                167813  1
pcmcia                 26465  2
ipt_REJECT              6849  1
ipt_state               1857  3
ip_conntrack           40729  1 ipt_state
iptable_filter          2881  1
ip_tables              19521  3 ipt_REJECT,ipt_state,iptable_filter
dm_mod                 59989  0
video                  16069  0
button                  6609  0
battery                 9413  0
ac                      4805  0
md5                     4161  1
ipv6                  265089  18
ohci1394               40409  0
ieee1394              310041  1 ohci1394
yenta_socket           21065  1
rsrc_nonstatic         10433  1 yenta_socket
pcmcia_core            48761  3 pcmcia,yenta_socket,rsrc_nonstatic
uhci_hcd               33497  0
ehci_hcd               40397  0
snd_intel8x0m          18949  0
snd_intel8x0           34561  2
snd_ac97_codec         71609  2 snd_intel8x0m,snd_intel8x0
snd_pcm_oss            52081  0
snd_mixer_oss          18497  1 snd_pcm_oss
snd_pcm               100937  4
snd_intel8x0m,snd_intel8x0,snd_ac97_codec,snd_pcm_oss
snd_timer              33605  1 snd_pcm
snd                    56613  11
snd_intel8x0m,snd_intel8x0,snd_ac97_codec,snd_pcm_oss,snd_mixer_oss,snd_pcm,snd_timer
soundcore              10913  1 snd
snd_page_alloc          9669  3 snd_intel8x0m,snd_intel8x0,snd_pcm
ipw2200                75085  0
ieee80211              23365  1 ipw2200
ieee80211_crypt         7493  1 ieee80211
b44                    26565  0
mii                     4929  1 b44
ext3                  133449  3
jbd                    85849  1 ext3
Comment 2 John W. Linville 2005-06-16 10:30:05 EDT
Created attachment 115541 [details]
jwltest-b44-link-check.patch
Comment 7 Ernie Petrides 2005-07-11 21:02:45 EDT
A fix for this problem has just been committed to the RHEL3 U6
patch pool this evening (in kernel version 2.4.21-32.10.EL).
Comment 10 Red Hat Bugzilla 2005-09-28 11:23:16 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-663.html

Note You need to log in before you can comment on or make changes to this bug.